﻿using Microsoft.AspNetCore.Builder;
using Minio;

namespace Bunny.Common.Context;

public static class MinioContext
{
    public static IMinioClient? MinioClient;
    public static readonly string BucketName = AppSettings.GetConfig("Minio:BucketName");

    public static void AddMinioContext(this WebApplicationBuilder builder)
    {
        var endpoint = AppSettings.GetConfig("Minio:Url");
        var accessKey = AppSettings.GetConfig("Minio:AccessKey");
        var secretKey = AppSettings.GetConfig("Minio:SecretKey");

        MinioClient = new MinioClient().WithEndpoint(endpoint).WithCredentials(accessKey, secretKey)
            // .WithSSL() // 使用HTTPS
            .Build();

        Console.WriteLine($"Minio 初始化...\n初始化桶：{BucketName}");
    }
}