﻿using System.Net;

namespace Bunny.Common.Exception;

public class BunnyException : System.Exception
{
    public HttpStatusCode Code;
    public new string Message;

    public BunnyException(string message)
    {
        Message = message;
        Code = HttpStatusCode.InternalServerError;
    }

    public BunnyException(HttpStatusCode code, string message)
    {
        Message = message;
        Code = code;
    }

    public BunnyException(string message, System.Exception innerException, HttpStatusCode code) : base(message,
        innerException)
    {
        Message = message;
        Code = code;
    }
}