﻿using System.Net;
using Bunny.Dao.Model.Result;
using Microsoft.AspNetCore.Mvc;

namespace Bunny.Common.Utils.Net;

public static partial class NetUtil
{
    /// <summary>
    ///     自定义错误消息和内容
    /// </summary>
    /// <param name="code"></param>
    /// <param name="message"></param>
    /// <returns></returns>
    public static JsonResult Out(int code, string message)
    {
        // 生成处理结果
        var result = Result<string>.Error(code, message);

        // 返回处理结果
        return new JsonResult(result);
    }

    /// <summary>
    ///     自定义错误消息和内容
    /// </summary>
    /// <param name="code"></param>
    /// <param name="message"></param>
    /// <returns></returns>
    public static JsonResult Out(HttpStatusCode code, string message)
    {
        // 生成处理结果
        var result = Result<string>.Error(code, message);

        // 返回处理结果
        return new JsonResult(result);
    }

    /// <summary>
    ///     默认传入code是500
    /// </summary>
    /// <param name="message">自定义错误消息</param>
    /// <returns></returns>
    public static JsonResult Out(string message)
    {
        // 生成处理结果
        var result = Result<string>.Error(HttpStatusCode.InternalServerError, message);

        // 返回处理结果
        return new JsonResult(result);
    }
}