﻿namespace Bunny.Dao.Entity.Email;

/// <summary>
///     发送邮件对象
/// </summary>
public abstract class EmailSendEntity
{
    /// <summary>
    ///     SMTP 服务器
    /// </summary>
    public string? SmtpService { get; set; }

    /// <summary>
    ///     SMTP 服务器端口号
    /// </summary>
    public int SmtpPort { get; set; }

    /// <summary>
    ///     发送者邮件
    /// </summary>
    public string? SendEmail { get; set; }

    /// <summary>
    ///     发送者密码
    /// </summary>
    public string? SendEmailPassword { get; set; }

    /// <summary>
    ///     接受这邮件
    /// </summary>
    public string? ReceiverEmail { get; set; }

    /// <summary>
    ///     发送邮件的主题
    /// </summary>
    public string? Subject { get; set; }

    /// <summary>
    ///     发送邮件的内容
    /// </summary>
    public string? Body { get; set; }

    /// <summary>
    ///     设置抄送
    /// </summary>
    public string? Cc { get; set; }

    /// <summary>
    ///     是否密送
    /// </summary>
    public bool IsBbc { get; set; } = false;

    /// <summary>
    ///     是否设置HTML内容
    /// </summary>
    public bool IsHtml { get; set; } = false;

    /// <summary>
    ///     是否已SSL发送
    /// </summary>
    public bool IsSSl { get; set; } = true;
}