﻿namespace Bunny.Dao.Model.Constant;

/// <summary>
///     错误常量
/// </summary>
public class ExceptionConstant
{
    public const string FileSystemException = "文件系统错误";
    public const string UnknownException = "未知错误";
    public const string TokenIsEmpty = "token为空";
    public const string DataIsEmpty = "数据为空";
    public const string RequestDataNotEmptyException = "请求参数为空";
    public const string UpdateDtoIsNullException = "修改参数为空";
    public const string AddDataIsEmptyException = "添加数据为空";
    public const string DeleteIdIsNotEmptyException = "删除id不能为空";
    public const string ServerError = "服务器错误";
    public const string DataBaseError = "数据库错误";

    // 文章操作相关
    public const string DoLikeCommentNotExist = "点赞内容不存在";
    public const string ReplyUserEmptyException = "回复的用户不存在";
    public const string ReplyUserIdEmptyException = "回复的用户不能为空";
    public const string MenuIsNotExistException = "菜单不存在";
    public const string PostCommentEmptyException = "评论内容不能为空";
    public const string ArticleIdNotEmptyException = "文章id不能为空";
    public const string UpdateIdIsNotEmptyException = "修改id不能为空";
    public const string CannotTopOtherUser = "不能操作此内容";
    public const string ArticleNotFoundException = "文章未找到";

    // 登录相关
    public const string UserTokenOutOfDateException = "用户登录过期";
    public const string LoginDtoIsEmptyException = "登录参数不能为空";
    public const string LoginFailedException = "登录失败";

    // 账号相关
    public const string AccountNotFoundException = "账号不存在";
    public const string AccountLockedException = "账号被锁定";

    // 用户相关
    public const string UserNotLoginException = "用户未登录";
    public const string UsernameIsEmptyException = "用户名不能为空";
    public const string AlreadyUserException = "用户已存在";
    public const string UserNotFoundException = "用户不存在";

    // 密码相关
    public const string PasswordException = "密码错误";
    public const string AccountException = "账号或密码错误";
    public const string PasswordNotEmptyException = "密码不能为空";
    public const string OldPasswordException = "旧密码不匹配";
    public const string PasswordEditException = "密码修改失败";
    public const string OldPasswordSameNewPasswordException = "旧密码与新密码相同";

    // 验证码错误
    public const string PleaseSendEmailCodeException = "请先发送验证码";
    public const string MessageCodeNotPassException = "短信验证码未过期";
    public const string MessageCodeUnauthorizedException = "短信验证码未授权，请联系管理员";
    public const string VerificationCodeErrorException = "验证码错误";
    public const string CaptchaIsEmptyException = "验证码不能为空";
    public const string KeyIsEmptyException = "验证码key不能为空";
    public const string VerificationCodeDoesNotMatchException = "验证码不匹配";
    public const string VerificationCodeIsEmptyException = "验证码失效或不存在";
}