﻿namespace Bunny.Dao.Model.Constant;

/// <summary>
///     Redis相关常量
/// </summary>
public class RedisUserConstant
{
    private const string AdminLoginInfoPrefix = "ADMIN::LOGIN_INFO::";
    private const string AdminEmailCodePrefix = "ADMIN::EMAIL_CODE::";
    private const string UserLoginInfoPrefix = "USER::LOGIN_INFO::";
    private const string UserEmailCodePrefix = "USER::EMAIL_CODE::";
    private const string UserDoLikePrefix = "USER::doLike::";

    public static string GetAdminLoginInfoPrefix(string adminUser)
    {
        return AdminLoginInfoPrefix + adminUser;
    }

    public static string GetAdminUserEmailCodePrefix(string adminUser)
    {
        return AdminEmailCodePrefix + adminUser;
    }

    public static string GetUserLoginInfoPrefix(string user)
    {
        return UserLoginInfoPrefix + user;
    }

    public static string GetUserEmailCodePrefix(string user)
    {
        return UserEmailCodePrefix + user;
    }

    public static string GetUserDoLikePrefix(string user)
    {
        return UserDoLikePrefix + user;
    }
}