﻿using Microsoft.AspNetCore.Http;
using Minio.DataModel;
using Minio.DataModel.Result;

namespace Bunny.Service.IService;

public interface IMinioService
{
    /// <summary>
    ///     上传文件
    /// </summary>
    /// <param name="file">文件内容</param>
    /// <param name="filepath"></param>
    void SaveMinioFile(IFormFile? file, string filepath);

    /// <summary>
    ///     查询所有的桶
    /// </summary>
    /// <returns>桶列表</returns>
    ListAllMyBucketsResult GetAllMyBuckets();

    /// <summary>
    ///     获取文件信息
    /// </summary>
    /// <param name="filename">文件名</param>
    /// <param name="bucketName">桶名称</param>
    /// <returns>ObjectStat</returns>
    ObjectStat GetObjectStat(string filename, string bucketName);

    /// <summary>
    ///     获取文件路径
    /// </summary>
    /// <param name="filename">文件名</param>
    /// <param name="bucketName">桶名称</param>
    /// <returns>文件地址</returns>
    string GetObjectPath(string filename, string bucketName);

    /// <summary>
    ///     下载文件
    /// </summary>
    /// <param name="filename">文件名</param>
    /// <param name="bucketName">桶名称</param>
    /// <returns>下载文件</returns>
    Task<byte[]> DownloadObject(string filename, string bucketName);

    /// <summary>
    ///     列出文件夹下所有文件
    /// </summary>
    /// <param name="filepath">文件夹</param>
    /// <param name="bucketName">桶名称</param>
    /// <returns>所有文件</returns>
    IAsyncEnumerable<Item> ListObject(string filepath, string bucketName);
}