﻿namespace Bunny.Service.IService;

public interface IRedisOptionService
{
    /// <summary>
    ///     添加Redis中一个值
    /// </summary>
    /// <param name="key"></param>
    /// <param name="value"></param>
    void AddStringValue(string key, string value);

    /// <summary>
    ///     查询字符串Key
    /// </summary>
    /// <param name="key"></param>
    string QueryStringKey(string key);

    /// <summary>
    ///     添加时间限制的key
    /// </summary>
    /// <param name="key"></param>
    /// <param name="value"></param>
    void AddTimeRedisKey(string key, string value);

    /// <summary>
    ///     var keepTtl = false: 可选参数，表示是否保留已存在键的过期时间。如果设置为true，并且键已经设置了过期时间，那么新设置的键将保留原有的过期时间。
    /// </summary>
    /// <param name="key"></param>
    /// <param name="value"></param>
    void AddTimeRedisKeyTtl(string key, string value);

    /// <summary>
    ///     Redis存入JSON内容
    /// </summary>
    /// <returns></returns>
    string AddJson();

    /// <summary>
    ///     删除Redis中key
    /// </summary>
    /// <param name="key"></param>
    void DeleteKey(string key);

    /// <summary>
    ///     Redis中的事务
    /// </summary>
    string SetRedisCreateTransaction(string key, string value);

    /// <summary>
    ///     Redis设置Hash值
    /// </summary>
    /// <param name="key"></param>
    /// <param name="keyExpire"></param>
    void AddHashWithRedis(string key, double keyExpire);
}