﻿using Quartz;

namespace Bunny.Service.Job;

public class CronJob : IJob
{
    public Task Execute(IJobExecutionContext context)
    {
        // 工作Map集合
        var dataMap = context.JobDetail.JobDataMap;
        var jobDataMap = context.Trigger.JobDataMap;

        // 工作Map中 username 和 password
        var username = dataMap.GetString("username");
        var password = dataMap.GetString("password");
        var count = dataMap.Get("count");
        var triggerCount = jobDataMap.Get("triggerCount");

        Console.WriteLine($"CronJob：username：{username}，password：{password}，count：{count}，triggerCount：{triggerCount}");

        // 设置 count 值
        dataMap.Put("count", Convert.ToInt32(count) + 1);
        jobDataMap.Put("triggerCount", Convert.ToInt32(triggerCount) + 1);

        // Trigger 触发器中的值是可以修改的，也会有响应
        // 设置 JobBuilder 往里面推数据时是不会有变化的
        return Task.CompletedTask;
    }
}