﻿using Bunny.Dao.Model.Result;
using Bunny.Service.IService;
using Microsoft.AspNetCore.Components;
using Microsoft.AspNetCore.Mvc;

namespace Bunny.WebApi.Controllers;

/// <summary>
///     Quartz 示例相关
/// </summary>
[Microsoft.AspNetCore.Mvc.Route("/api/[controller]/[action]")]
public class JobInitController : ControllerBase
{
    [Inject] public required IJobService JobService { get; set; }

    /// <summary>
    ///     1. 开启一个简单的工作
    /// </summary>
    /// <returns></returns>
    [HttpPost]
    public Result<string> StartSimpleJob()
    {
        JobService.StartSimpleJob();
        return Result<string>.Success("将名称生成放在jobDetail中，可以再运行时获取到");
    }

    /// <summary>
    ///     2. 将jobDetail放在触发器中
    /// </summary>
    /// <returns></returns>
    [HttpPost]
    public Result<string> PutJobDetail4Trigger()
    {
        JobService.PutJobDetail4Trigger();
        return Result<string>.Success("将jobDetail中的一些信息放在触发器中，简化写法");
    }

    /// <summary>
    ///     3. 设置每日时间表
    /// </summary>
    /// <returns></returns>
    [HttpHead]
    public Result<string> SetJobWithDaily()
    {
        JobService.SetJobWithDaily();
        return Result<string>.Success();
    }
}