﻿using Bunny.Dao.Model.Result;
using Bunny.Service.IService;
using Microsoft.AspNetCore.Components;
using Microsoft.AspNetCore.Mvc;

namespace Bunny.WebApi.Controllers;

/// <summary>
///     测试请求模板
/// </summary>
[ApiController]
[Microsoft.AspNetCore.Mvc.Route("api/[controller]")]
public class TemplateController : ControllerBase
{
    [Inject] public required IBaseService BaseService { get; set; }

    /// <summary>
    ///     测试走缓存
    /// </summary>
    /// <returns></returns>
    [HttpGet("GetCacheController")]
    public Result<string> CacheControl()
    {
        Response.Headers.CacheControl = "max-age=20";
        return Result<string>.Success($"测试走缓存内容：{Response.Headers.CacheControl}");
    }

    /// <summary>
    ///     测试Service是否注入
    /// </summary>
    /// <returns></returns>
    [HttpGet("TestInject")]
    public Result<string> TestInject()
    {
        var testIndex = BaseService.TestIndex();
        return Result<string>.Success(testIndex);
    }
}